You are not logged in.

#1 2015-04-11 11:03:13

Maeda
Member
Registered: 2015-02-17
Posts: 32

[SOLVED] Problem with ghc and xmonad

Hi !

Just to give you the problem I encounter today when doing an upgrade (pacman -Syu) :

Packages updates are : ghc-7.10.1-1 haskell-data-default-0.5.3-7  haskell-data-default-class-0.0.1-6 haskell-data-default-instances-base-0.0.1-8  haskell-data-default-instances-containers-0.0.1-6 haskell-data-default-instances-dlist-0.0.1-7  haskell-data-default-instances-old-locale-0.0.1-6  haskell-dlist-0.7.1.1-1 haskell-extensible-exceptions-0.1.1.4-9  haskell-mtl-2.2.1-2  haskell-old-locale-1.0.0.7-4  haskell-old-time-1.1.0.3-4 haskell-random-1.1-2  haskell-utf8-string-1-1  haskell-x11-1.6.1.2-3  haskell-x11-xft-0.3.1-13 xmonad-0.11.1-2  xmonad-contrib-0.11.4-2

Simple packages concerned : ghc / haskell* / xmonad

Errors are :

==> Unregistering cabalized packages...
unregistering data-default-instances-base-0.0.1 would break the following packages: xmonad-contrib-0.11.3 X11-xft-0.3.1 xmonad-0.11 X11-1.6.1.2 data-default-0.5.3 (ignoring)
==> Done.
update ghc
==> All cabalized packages need to be reinstalled now.
ghc-pkg: cannot find package data-default-class-0.0.1
Warning: Cannot read data-default/data-default.haddock:
Interface file is of wrong version: data-default/data-default.haddock
Skipping this interface.
[...]

All haskell* packages with same errors as above.
And for xmonad :

ghc-pkg: cannot find package xmonad-0.11
ghc-pkg: cannot find package xmonad-contrib-0.11.3
xmonad-contrib-0.11.4: Warning: haddock-interfaces: /usr/share/doc/x86_64-linux-ghc-7.10.1/xmonad-contrib-0.11.4/html/xmonad-contrib.haddock doesn't exist or isn't a file
[...]

Solution that worked for me :

Uninstall all packages depending on ghc  (but not ghc):

pacman -R haskell-data-default haskell-data-default-class haskell-data-default-instances-base haskell-data-default-instances-containers haskell-data-default-instances-dlist haskell-data-default-instances-old-locale haskell-dlist haskell-extensible-exceptions haskell-mtl haskell-old-locale haskell-old-time haskell-random haskell-utf8-string haskell-x11 haskell-x11-xft xmonad xmonad-contrib

Re-installation of ghc :

pacman -S ghc

Installation of all packages :

pacman -S haskell-data-default haskell-data-default-class haskell-data-default-instances-base haskell-data-default-instances-containers haskell-data-default-instances-dlist haskell-data-default-instances-old-locale haskell-dlist haskell-extensible-exceptions haskell-mtl haskell-old-locale haskell-old-time haskell-random haskell-utf8-string haskell-x11 haskell-x11-xft xmonad xmonad-contrib

This time without any errors.
Inspired by this topic explaining that all packages should be upgraded together.

Maybe there is an easier solution, but I give my contribution wink.


--Default Windows Manager
Xmonad <+> Xmobar <+> Trayer

My GitHub

Offline

#2 2015-04-11 11:36:48

Raynman
Member
Registered: 2011-10-22
Posts: 1,250

Re: [SOLVED] Problem with ghc and xmonad

I see warnings, no errors. Was just seeing those warnings your "problem", or was there actually something wrong?

The old xmonad was broken by removing the old packages, but xmonad should have been upgraded later in that same pacman transaction, so at the end, everything should be okay. (But if it's not, reinstalling can indeed help, maybe even without the removal step in between.)

Last edited by Raynman (2015-04-12 10:25:00)

Offline

#3 2015-04-12 09:54:41

Maeda
Member
Registered: 2015-02-17
Posts: 32

Re: [SOLVED] Problem with ghc and xmonad

Yeah, just after those messages and without rebooting, I did an :

xmonad --recompile

And errors occurs (module not found for example).
All xmonad packages depending on ghc were encountering the error : "command not executed" juste after the "cannot find package" while updating those packages.

You're right, I tried to just launch again an installation (with pacman -S) of those packages but got same "warning" and error. Then I uninstalled and installed it like I said to not get any errors nor warnings.


--Default Windows Manager
Xmonad <+> Xmobar <+> Trayer

My GitHub

Offline

#4 2015-04-28 05:43:18

mr337
Member
Registered: 2012-08-12
Posts: 15

Re: [SOLVED] Problem with ghc and xmonad

Just wanted to say thank you as it fixed my update issue too!

Offline

#5 2015-04-29 15:50:27

DarioP
Member
From: Geneva
Registered: 2011-01-05
Posts: 115

Re: [SOLVED] Problem with ghc and xmonad

I encountered the problem on a fresh install. Tried the procedure, no result.

It is the first time that I try out xmonad, I tried to compile the example file in:

/usr/share/x86_64-linux-ghc-7.10.1/xmonad-0.11.1/man/xmonad.hs

But I get errors. I'm not really an expert of haskell, maybe I should just go back to Awesome.

Offline

#6 2015-05-02 07:58:12

Maeda
Member
Registered: 2015-02-17
Posts: 32

Re: [SOLVED] Problem with ghc and xmonad

Hi !

I think you should open a new topic for that, as it's not related to an update, it's rather a xmonad.hs file configuration issue.


--Default Windows Manager
Xmonad <+> Xmobar <+> Trayer

My GitHub

Offline

Board footer

Powered by FluxBB